﻿using UnityEngine;
using System.Collections;

public class Mr_Yes_ControllerScript : MonoBehaviour
{
    public float maxSpeed = 10f;
    bool facingRight = true;
	public GameObject yurume_loop;
	public GameObject jump_sound;
    Animator anim;
    bool grounded = false;
    public Transform groundCheck;

    float groundRadius = 0.2f;
    public LayerMask whatIsGround;
    public float jumpForce = 700f;

    void Start()
    {
        anim = GetComponent<Animator>();
    }


    void FixedUpdate()
    {

        grounded = Physics2D.OverlapCircle(groundCheck.position, groundRadius, whatIsGround);
        anim.SetBool("ground", grounded);

        anim.SetFloat("vSpeed", rigidbody2D.velocity.y);

        float move = Input.GetAxis("Horizontal");


        anim.SetFloat("speed", Mathf.Abs(move));

        rigidbody2D.velocity = new Vector2(move * maxSpeed, rigidbody2D.velocity.y);

        if (move > 0 && !facingRight)
        {
            Flip();
        }
        else if (move < 0 && facingRight)
        {
            Flip();
        }


    }

    void Update()
    {
		if (grounded && (Input.GetKeyDown (KeyCode.Space) || Input.GetKeyDown (KeyCode.UpArrow))) {
						//yurume_loop.audio.Stop ();
						jump_sound.audio.Play ();
					//yurume_loop.audio.Play(25000);     
						anim.SetBool ("ground", false);
						rigidbody2D.AddForce (new Vector2 (0, jumpForce));

				}
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector3 theScale = transform.localScale;
        theScale.x *= -1;
        transform.localScale = theScale;
    }
}
